From: Michael Petlan <mpetlan@redhat.com>
To: linux-perf-users@vger.kernel.org, irogers@google.com,
namhyung@kernel.org
Cc: acme@redhat.com
Subject: [PATCH 1/2] perf test attr: Propagate the return value from the test to the wrapper
Date: Fri, 25 Sep 2026 00:30:26 +0200 [thread overview]
Message-ID: <20260924223027.799654-2-mpetlan@redhat.com> (raw)
In-Reply-To: <20260924223027.799654-1-mpetlan@redhat.com>
Currently it does not matter what the python script actually returns,
the test always passes, as the $err variable is always 0.
Fix that.
Fixes: 8519e4f44c2af72214dc029f0334be068466e71f perf test: Add a shell wrapper for "Setup struct perf_event_attr"
Signed-off-by: Michael Petlan <mpetlan@redhat.com>
---
tools/perf/tests/shell/attr.sh | 1 +
1 file changed, 1 insertion(+)
diff --git a/tools/perf/tests/shell/attr.sh b/tools/perf/tests/shell/attr.sh
index 5a4e43b2471d..307e1535795a 100755
--- a/tools/perf/tests/shell/attr.sh
+++ b/tools/perf/tests/shell/attr.sh
@@ -18,5 +18,6 @@ trap trap_cleanup EXIT TERM INT
shelldir=$(dirname "$0")
perf_path=$(which perf)
python "${shelldir}"/lib/attr.py -d "${shelldir}"/attr -v -p "$perf_path"
+err=$?
cleanup
exit $err
--
2.52.0
next prev parent reply other threads:[~2026-09-24 22:30 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2026-09-24 22:30 [PATCH 0/2] perf test attr: Fix and re-enable the test Michael Petlan
2026-09-24 22:30 ` Michael Petlan [this message]
2026-09-24 22:32 ` [PATCH 1/2] perf test attr: Propagate the return value from the test to the wrapper sashiko-bot
2026-09-24 22:30 ` [PATCH 2/2] perf test attr: Fix wrong size expectation for events Michael Petlan
2026-09-24 22:34 ` sashiko-bot
2026-10-06 13:33 ` Arnaldo Carvalho de Melo
2026-10-06 15:26 ` Arnaldo Carvalho de Melo
2026-10-05 22:47 ` [PATCH 0/2] perf test attr: Fix and re-enable the test Namhyung Kim
2026-10-06 13:13 ` Arnaldo Carvalho de Melo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20260924223027.799654-2-mpetlan@redhat.com \
--to=mpetlan@redhat.com \
--cc=acme@redhat.com \
--cc=irogers@google.com \
--cc=linux-perf-users@vger.kernel.org \
--cc=namhyung@kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox